# Generated by Django 4.2 on 2023-04-11 06:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('app_clientes', '0006_alter_pago_concepto'),
    ]

    operations = [
        migrations.CreateModel(
            name='Emisora',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(max_length=45)),
                ('ssid', models.CharField(blank=True, max_length=45, null=True)),
                ('direccion_mac', models.CharField(blank=True, max_length=45, null=True)),
                ('direccion_ip', models.CharField(blank=True, max_length=45, null=True)),
                ('ancho_de_canal', models.IntegerField(blank=True, null=True)),
                ('frecuencia', models.IntegerField(blank=True, null=True)),
                ('ubicacion', models.CharField(blank=True, max_length=45, null=True)),
            ],
            options={
                'verbose_name_plural': 'Emisoras',
            },
        ),
        migrations.CreateModel(
            name='Modem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('marca', models.CharField(max_length=45)),
                ('clave_wifi', models.CharField(blank=True, max_length=45, null=True)),
                ('gateway', models.CharField(blank=True, max_length=45, null=True)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.cliente')),
            ],
            options={
                'verbose_name_plural': 'Modems',
            },
        ),
        migrations.CreateModel(
            name='Antena',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('marca', models.CharField(max_length=45)),
                ('ip_interna', models.CharField(blank=True, max_length=45, null=True)),
                ('ip_externa', models.CharField(blank=True, max_length=45, null=True)),
                ('gateway', models.CharField(blank=True, max_length=45, null=True)),
                ('signal_min', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True)),
                ('signal_max', models.DecimalField(blank=True, decimal_places=2, max_digits=8, null=True)),
                ('cliente', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.cliente')),
                ('emisora', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app_clientes.emisora')),
            ],
            options={
                'verbose_name_plural': 'Antenas',
            },
        ),
    ]
